using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

public partial class ShowMessagePage : System.Web.UI.Page
{
	protected string strReturnUrl;
	protected void Page_Load(object sender, System.EventArgs e)
	{
		// 在此处放置用户代码以初始化页面

		///获得各参数值...
		string strTitle,strMessage;
		strTitle = Request.QueryString["Title"];
		strMessage = Request.QueryString["Message"];
		strReturnUrl = Request.QueryString["ReturnUrl"].Replace("[and]","&");

		///赋给页面上的控件...
		lblTitle.Text=strTitle.Trim();
		lblMessage.Text=strMessage.Trim();

		if (strReturnUrl != null && strReturnUrl.Trim() !="")
		{
			lblAutoRedirect.Text = "3 秒钟自动返回！";
			Response.Write("<script Language='Javascript'>");
			Response.Write("setTimeout(\"location.href='" + strReturnUrl + "'\",3000)");
			Response.Write("</script>");
		}
		else
		{
			strReturnUrl = Request.ServerVariables["HTTP_REFERER"];
		}
	}
}